Bug 1415717 - iwlist scan fails with too many AP
Summary: iwlist scan fails with too many AP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wireless-tools
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 14:13 UTC by Henrique Martins
Modified: 2017-12-12 10:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:47:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Henrique Martins 2017-01-23 14:13:15 UTC
Description of problem:
iwlist scan aborts when too many access points are nearby

Version-Release number of selected component (if applicable):
wireless-tools-29-14.1.fc24.x86_64

How reproducible:
Every time, in the above situation, which happens to me when I go to Paris and stay with my sister-in-law, first time 4 years ago, still a problem this year.

Steps to Reproduce:
1. Go to a place with too many access points
2. run iwlist scan to find out available networks

Actual results:
iwlist aborts with error message

Expected results:
A list of available APs

Additional info:
It is a well know bug, supposedly fixed in wireless_tools.30.pre9.
There also seems to be a patch referenced at the bottom of this page
  http://www.linuxfromscratch.org/blfs/view/cvs/basicnet/wireless_tools.html
Can't really help debugging this, unless someone pays me to fly back there :-)

Comment 1 Dan Williams 2017-01-23 17:10:45 UTC
The patch may help some situations, and we could potentially apply it to wireless-tools.  However, it only works to a certain point, and it is already common to overflow a 64k buffer with the WEXT scan request.  Unfortunately, this cannot easily be fixed in wireless-tools due to the older non-extensible nature of the kernel's WEXT API.

I would suggest that instead of 'iwlist wlan0', you use 'iw dev wlan0 scan' which is the replacement that uses the much more extensible nl80211 kernel API.

I'd also recommend using 'iw' for anything you previously used iwconfig/iwlist/iwevent/etc for, as it is a much more capable tool and supports many of the options that the iwconfig tools cannot due to their older API.

You may have a wifi card whose driver doesn't support nl80211, but these are a small minority.  If you do, however, there is no good solution except to ask the provider of that wifi card (or the upstream kernel community) to add nl80211 support to that driver.

Comment 2 Fedora End Of Life 2017-11-16 19:22:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:47:38 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.